Subject: Re: bug#13157: 24.3.50; Crash with Helm?

From: "Fabrice Niessen" <[email-masked]>
Date: Wed, 12 Dec 2012 17:58:53 +0100

Hello Eli,

Eli Zaretskii wrote:
>> While I had no crash to report for days and days with the version of
>> 2012-03-03, it took me 2 mins to get 2 crashes: once when calling
>> Helm-for-files, the other maybe when doing the same but I'm not 100%
>> sure about it.
>> 
>> Anyway, it really crashed almost directly.
>> 
>> I could debug the last crash. See here the backtrace:
>> [...]
>> #1  0x01154bd1 in emacs_abort () at w32fns.c:7748
>> #2  0x01144111 in get_child_status (child=9468, status=0x0,
>> options=1, interruptible=false) at sysdep.c:297
>
> Probably a duplicate of 13086.
>
> This abort comes from here:
>
>   while ((pid = waitpid (child, status, options)) < 0)
>     {
>       /* Check that CHILD is a child process that has not been reaped,
> 	 and that STATUS and OPTIONS are valid.  Otherwise abort,
> 	 as continuing after this internal error could cause Emacs to
> 	 become confused and kill innocent-victim processes.  */
>       if (errno != EINTR)
> 	emacs_abort ();  <<<<<<<<<<<<<<<<<<<<<<<<<
>
> What it means is that Emacs was trying to get exit status of a process
> that no longer exists.  To make sure this is the reason, please do
> this from GDB:
>
>  (gdb) frame 2
>  (gdb) print errno

--8<---------------cut here---------------start------------->8---
(gdb) frame 2
#2  0x01144111 in get_child_status (child=9468, status=0x0, options=1, interruptible=false) at sysdep.c:297
297     sysdep.c: No such file or directory.
(gdb) print errno
$1 = 10
--8<---------------cut here---------------end--------------->8---

Is it what you expected?

Best regards,
Fabrice